# ResistorCalc

ResistorCalc is a graphical user interface (GUI) application built with Tkinter for calculating the resistance value and tolerance of resistors based on their color bands. This tool provides an interactive way to input color bands, visualize the resistor code, and obtain accurate resistance information.

![resistorcalc](../banner/resistorcalc.png)


## Features

- **Color Code Visualization:** The application visually represents the color code of resistors on a canvas for easy interpretation.
  
- **Flexible Band Selection:** Users can select the number of bands (4, 5, or 6) to accommodate various resistor types.
  
- **Calculation Accuracy:** The tool follows the standard resistor color code to accurately calculate resistance values and tolerances.
  
- **Clear and Calculate:** Clear input fields and results with the "Clear" button, and calculate the resistor values with the "Calculate" button.

## Getting Started

1. **Installation:**
   - Ensure you have Python3 installed on your system.
   - Clone this repository: `https://gitlab.com/harichella005/resistorcalc.git`
   - Navigate to the project directory: `cd ResistorCalc`
   - `cd lib && chmod +x resistorcalc.py`
   - `sudo ln -s "$(pwd)/resistorcalc.py" /usr/bin/resistorcalc`
   - `resistorcalc`

2. **Run the Application:**
   - Execute the following command: `python3 resistorcalc.py`

3. **Usage:**
   - Enter the color bands of the resistor in the entry field.
   - Select the number of bands using checkboxes.
   - Click the "Calculate" button to obtain the resistor value and tolerance.
   - Use the "Clear" button to reset the input and results.

## Happy Resistor Calculations!

ResistorCalc is designed to simplify the process of resistor value and tolerance calculations. Enjoy exploring the colorful world of resistors, and may your electronic projects be as harmonious as a well-calculated resistor network!

